Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp
Class JspException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.servlet.jsp.JspException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  JspTagException, SkipPageException

    public class JspException

extends Exception

A generic exception known to the JSP engine; uncaught JspExceptions will result in an invocation of the errorpage machinery.

See Also:
  Serialized Form

Constructor Summary
`JspException()` Construct a JspException.
`JspException(String msg)` Constructs a new JSP exception with the specified message.
`JspException(String message, Throwable cause)` Constructs a new `JspException` with the specified detail message and cause.
`JspException(Throwable cause)` Constructs a new `JspException` with the specified cause.

Method Summary
`Throwable` | `getRootCause()` Deprecated. As of JSP 2.1, replaced by `Throwable.getCause()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JspException

    public JspException()

  Construct a JspException.

### JspException

    public JspException(String msg)

  Constructs a new JSP exception with the specified message. The message can be written to the server log and/or displayed for the user.

  Parameters:
    `msg` - a `String` specifying the text of the exception message

### JspException

    public JspException(String message,
                        Throwable cause)

  Constructs a new `JspException` with the specified detail message and cause. The cause is saved for later retrieval by the `Throwable.getCause()` and `getRootCause()` methods.

  See Also:
    `Exception.Exception(String, Throwable)`

### JspException

    public JspException(Throwable cause)

  Constructs a new `JspException` with the specified cause. The cause is saved for later retrieval by the `Throwable.getCause()` and `getRootCause()` methods.

  See Also:
    `Exception.Exception(Throwable)`

Method Detail

### getRootCause

    public Throwable getRootCause()

  Deprecated. As of JSP 2.1, replaced by `Throwable.getCause()`

  Returns the exception that caused this JSP exception.

  Returns:
    the `Throwable` that caused this JSP exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.